<div class="outer_container">
  <div class="list_events">
    <div class="container" style="min-height: 500px; color: #333;">
      <div class="row">
        <div class="col">
          <div class= "row">
            <div class="col-lg-8" style="text-align: center;">
              <%= image_tag @event.image, style:"max-width:100%" %>
            </div>
            <% if @event.event_date >= Date.today %>
              <div class="col-lg-4" >
                <div class="event_details" style="margin-top: 10px;">
                  <%= @event.event_date.strftime("%b %d, %Y") %>
                </div>
                <div class="event_details">
                  <h3 class="section_title"><%= @event.name %></h3>
                </div>
                <small> <%= @event.workshop_type %></small><br />
                <br />
                  <div class="event_details" >
                    <div>
                    <% if @event.speaker_image.present? %>
                      <%= image_tag @event.speaker_image, style: "border-radius: 50%; width: 100px;" %>
                      <% end %>
                    </div>
                    
                    <div style="padding: 5px;">
                      <%= @event.speaker&.html_safe %>
                    </div>
                    
                    <div class="clear-height"></div>
                  </div>
                
              </div>
            <% else %>
              <div class="event_details">
                Event closed
              </div>
            <% end %>
          </div>

          <% if @event.event_date >= Date.today %>
          <div class="row">
            <div class="col-lg-8" >
            </div>
            <div class="col-lg-4" >
              <div class="col-lg-4_reg">
                <%# if !current_user || current_user.role != "staff" %>
                  <%# if current_user && UserEvent.where(user_id: current_user.id, event_id: @event.id).present? %>
                  <% if session[:event_id] == @event.id %>
                    <span class="registered">Registered</span>
                  <% else %>
                    <button class="event_details_btn">
                      <%#= link_to "Register", register_event_path(@event), style:"color: white;" %>
                      <%= link_to "Register", new_event_registration_path(@event), style:"color: white;" %>
                    </button>
                  <% end %>
                <%# end %>
              </div>
            </div>
          </div>
          <% end %>

          <hr />

          <div class="row">
            <div class="col-lg-8" >
            <% if @event.description.present? %>
              <h5 class="event_details_h5">
                Description
              </h5>
            <% end %>
              <div class="event_desc">
                <%= @event.description.html_safe %>
              </div>
             
            </div>
            <div class="col-lg-4">
              <div class="event_details">
                <h5 class="event_details_h5">Date and Time</h5> 
                <%= @event.event_date.strftime("%a, %b %d, %Y") %><br />
                <%= @event.event_date.strftime("%I:%M%P") %> to 
                <%= (@event.event_date + @event.duration.minutes).strftime("%I:%M%P") %>
              </div>
              <% if @event.venue.present? %>
                <div class="event_details">
                  <h5 class="event_details_h5">Location</h5> 
                  <%= @event.venue %>
                  <br />
                  <%= @event.map_embed_code&.html_safe %>
                  
                </div>
              <% end %>
            </div>
          </div>
          
          <%# if @user_events.present? %>
          <% if @event_registrations.present? %>
          <hr />

            <div class="row"> 
              <div class="col-lg-8 offset-lg-2">
                <div style="width: 100%"> 
                  <h5 class="event_details_h5 ">
                    (<%#= @user_events.count %><%= @event_registrations.count %>)Registered participants list
                  </h5>
                  <ul class="event_details">
                    <%# @user_events.each do |user_event| %>
                    <% @event_registrations.each do |reg_user| %>
                      <li>
                        <span> 
                          <%#= user_event.user.name.split(' ').collect{|s| s.first}.join("").upcase %> 
                          <%= reg_user.name.split(' ').collect{|s| s.first}.join("").upcase %> 
                        </span>
                        <div style="padding-left: 35px;">
                          <%#= user_event.user.name %><br />
                          <%#= user_event.user.school_college_institution %>
                          <%= reg_user.name %><br />
                          <%= reg_user.company %>
                        </div>
                      </li>
                    <% end %>
                  </ul>                
                </div>
              </div>
            </div>

          <% end %>

        </div>
      </div>
    </div>
  </div>
</div>










